# Class: Backend::Api::Published

Inherits:
  Object
  - Object
  - Backend::Api::Published
  show all

Extended by:
  ConnectionHelper

Defined in:
  api/published.rb

## Overview

Class that connect to endpoints related to the published repositories

## Class Method Summary collapse

- .download_url_for_repository(project_name, repository_name) ⇒ String

  Returns the download url for a repository.

## Class Method Details

### .download_url_for_repository(project_name, repository_name) ⇒ `String`

Returns the download url for a repository

Returns:

- (`String`)

    9
    10
    11
    # File 'api/published.rb', line 9

    def self.download_url_for_repository(project_name, repository_name)
      http_get(['/published/:project/:repository', project_name, repository_name], params: { view: :publishedpath })
    end